package com.capitalware.ufm.action.objects;

import java.util.ArrayList;

import com.capitalware.ufm.UFM;
import com.capitalware.ufm.objects.CWConstants;
import com.capitalware.ufm.watch.Watch;

/**
 * This class holds the values for the Watch action.
 *
 * @author Roger Lacroix
 * @version 1.0
 * @license Apache 2 License
 */
public class WatchObject extends UFMObject
{
   public int                 pollInterval = 15 * 1000;  /* milli-seconds */
   public Watch[]             watches = null;

   /**
    * The constructor
    */
   public WatchObject()
   {
      super();
   }

   /**
    * Process tokens in Action Object's variables
    */
   public void performTokenization()
   {
   }

   /**
    * Check the user specified parameters.
    */
   public void checkObject()
   {
      if (pollInterval < 1000)
         throw new IllegalArgumentException("Error: The PollInterval attribute for the Watch Action cannot be less than 1.");
   }

   /**
    * Output the info related to File2Msg
    * @param logger
    */
   public void printValues()
   {
      UFM.logger.info("     PollInterval         = " + (pollInterval/1000));
      
      for (int i=0; i < watches.length; i++)
      {
         UFM.logger.info("     ---- Watching #"+(i+1)+" ----");
         watches[i].printValues();
      }
   }
   
   /**
    * Convert the object to a string.
    * @return s
    */
   public ArrayList<String> toStringArray()
   {
      ArrayList<String> al = new ArrayList<String>();
      
      
      return al;
   }

   /**
    * Retrieve the values in this action for the status update.
    * @return s
    */
   public String toStringForStatusUpdate(String event)
   {
      String s;

      s = CWConstants.WATCH_ELEMENT+", "+labelName+", "+event+", "+CWConstants.POLL_INTERVAL_ATTRIBUTE+"="+(pollInterval/1000)+LINE_SEPARATOR;

      return s;
   }
}
