package com.capitalware.ufm.actions;

import com.capitalware.ufm.UFM;
import com.capitalware.ufm.action.objects.EchoObject;

/**
 * This class will handle the echo action.
 *
 * @author Roger Lacroix
 * @version 1.0
 * @license Apache 2 License
 */
public class EchoAction extends UFMAction
{
   private EchoObject   eo;

   /**
    * The constructor
    * @param to
    */
   public EchoAction(EchoObject to)
   {
      super(to.actionName);
      this.eo = to;
   }

   /**
    * Perform the touch work.
    * @return exitCode
    */
   public int doWork()
   {
      int exitCode = 0;
      eo.printValues();

      UFM.logger.info(eo.text);

      return exitCode;
   }
}
