package com.capitalware.ufm.handlers;

import java.util.LinkedList;

/**
 * Internal Message Queue 
 * 
 * @author Roger Lacroix, Capitalware Inc.
 * @version 1.0
 * @license Apache 2 License
 */
public class InternalMessageQueue
{
   private String       qName;
   private LinkedList<Object>   queue = new LinkedList<Object>();
   
   public InternalMessageQueue(String name)
   {
      super();
      this.qName = name;
   }
   
   /**
    * Retrieve the name of this queue.
    * @return qname
    */
   public String getQName()
   {
      return qName;
   }
   
   /**
    * Retrieve the size of this queue.
    * @return queueSize
    */
   public int getSize()
   {
      return queue.size();
   }

   /**
    * Add work to the work queue
    * @param o
    */
   public synchronized void addMessage(Object o)
   {
      queue.addLast(o);
   }

   /**
    * Retrieve a message from the queue.
    * @return msg
    */
   public synchronized Object getMessage()
   {
      if (queue.isEmpty())
         return null;
      else
         return queue.removeFirst();
   }
}